Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class VersionImpl

    java.lang.Object
      de.uka.ipd.consensus.impl.VersionImpl

All Implemented Interfaces:
  Comparable, Serializable, Version

public class VersionImpl
extends Object
implements Version

TODO

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  Serialized Form

Constructor Summary
`protected` | `VersionImpl(Versionable versionable)`
`protected` | `VersionImpl(Versionable versionable, long date)`

Method Summary
`boolean` | `after(Version ver)` TODO
`boolean` | `before(Version ver)` TODO
`int` | `compareTo(Object obj)` TODO
`boolean` | `equals(Object obj)` TODO
`Date` | `getDate()` Returns the timestamp of this version, i.e. when this version was created.
`Versionable` | `getVersionable()` TODO
`int` | `hashCode()` TODO
`protected void` | `inc()`
`String` | `toString()` TODO

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionImpl

    protected VersionImpl(Versionable versionable)

### VersionImpl

    protected VersionImpl(Versionable versionable,
                          long date)

Method Detail

### inc

    protected void inc()

### after

    public boolean after(Version ver)

  TODO

  Specified by:
    `after` in interface `Version`
  Parameters:
    `ver` - the Version to check against
  Returns:
    `true` if this version's timestamp is newer than the given version's timestamp
  See Also:
    `Version.getDate()`

### before

    public boolean before(Version ver)

  TODO

  Specified by:
    `before` in interface `Version`
  Parameters:
    `ver` - the Version to check against
  Returns:
    `true` if this version's timestamp is older than the given version's timestamp
  See Also:
    `Version.getDate()`

### compareTo

    public int compareTo(Object obj)

  TODO

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object obj)

  TODO

  Specified by:
    `equals` in interface `Version`

### hashCode

    public int hashCode()

  TODO

### toString

    public String toString()

  TODO

### getVersionable

    public Versionable getVersionable()

  TODO

  Specified by:
    `getVersionable` in interface `Version`
  Returns:
    the versionable element, never `null`

### getDate

    public Date getDate()

  Description copied from interface: `Version`
  Returns the timestamp of this version, i.e. when this version was created.

  Specified by:
    `getDate` in interface `Version`
  Returns:
    the timestamp Date object, never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD